### Method

# Snapd Client ask_interface_request_async

since: 1.72

#### Declaration [src]

    void
    snapd_client_ask_interface_request_async (
      SnapdClient* client,
      const gchar* interface,
      GPid pid,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Ask snapd whether a snap should be granted access to a given interface.

Available since: 1.72

This method completes asynchronously. Use `snapd_client_ask_interface_request_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`interface`

  Type: `const gchar*`

  The interface name being requested.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`pid`

  Type: `GPid`

  The PID of the process making the request.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.